Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dks.src.textureEditor
Class PanLayer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JTabbedPane
                      dks.src.textureEditor.PanLayer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants

    public class PanLayer

extends javax.swing.JTabbedPane

This class implements a tabbedPane containing some PropertySheetTable for mofying a layer of a texture
date : 5 sept. 07

Author:
  DarK Sidious
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary
`static java.lang.String` | `DKS_GRADIENT_NAME` The name of the gradient tab
`static int` | `TAB_COLOR_INDEX` The index of the color tab
`static java.lang.String` | `TAB_COLOR_NAME` The name of the color tab
`static int` | `TAB_GRADIENT_INDEX` The index of the gradient tab
`static int` | `TAB_IMAGE_INDEX` The index of the picture tab
`static java.lang.String` | `TAB_IMAGE_NAME` The name of the picture tab
`static java.lang.String` | `TABLE_NAME` The name of the PropertySheetPanel for modifying the gradient

Fields inherited from class javax.swing.JTabbedPane
`SCROLL_TAB_LAYOUT, WRAP_TAB_LAYOUT`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PanLayer(java.lang.String name)`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)`
`typecontrol.controls.JdksColorChooser` | `getColColor()`
`JdksGradientEditor` | `getDksGradient()`
`typecontrol.controls.JdksFileChooser` | `getFilImage()`
`com.l2fprod.common.propertysheet.PropertySheetPanel` | `getTabTexture()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)`
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.JTabbedPane
`add, add, add, add, add, addTab, addTab, addTab, getAccessibleContext, getBackgroundAt, getBoundsAt, getChangeListeners, getComponentAt, getDisabledIconAt, getDisplayedMnemonicIndexAt, getForegroundAt, getIconAt, getMnemonicAt, getModel, getSelectedComponent, getSelectedIndex, getTabComponentAt, getTabCount, getTabLayoutPolicy, getTabPlacement, getTabRunCount, getTitleAt, getToolTipText, getToolTipTextAt, getUI, getUIClassID, indexAtLocation, indexOfComponent, indexOfTab, indexOfTab, indexOfTabComponent, insertTab, isEnabledAt, remove, remove, removeAll, removeTabAt, setBackgroundAt, setComponentAt, setDisabledIconAt, setDisplayedMnemonicIndexAt, setEnabledAt, setForegroundAt, setIconAt, setMnemonicAt, setModel, setSelectedComponent, setSelectedIndex, setTabComponentAt, setTabLayoutPolicy, setTabPlacement, setTitleAt, setToolTipTextAt, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TAB_COLOR_NAME

    public static final java.lang.String TAB_COLOR_NAME

  The name of the color tab

  See Also:
    Constant Field Values

### TAB_IMAGE_NAME

    public static final java.lang.String TAB_IMAGE_NAME

  The name of the picture tab

  See Also:
    Constant Field Values

### DKS_GRADIENT_NAME

    public static final java.lang.String DKS_GRADIENT_NAME

  The name of the gradient tab

  See Also:
    Constant Field Values

### TAB_COLOR_INDEX

    public static final int TAB_COLOR_INDEX

  The index of the color tab

  See Also:
    Constant Field Values

### TAB_GRADIENT_INDEX

    public static final int TAB_GRADIENT_INDEX

  The index of the gradient tab

  See Also:
    Constant Field Values

### TAB_IMAGE_INDEX

    public static final int TAB_IMAGE_INDEX

  The index of the picture tab

  See Also:
    Constant Field Values

### TABLE_NAME

    public static final java.lang.String TABLE_NAME

  The name of the PropertySheetPanel for modifying the gradient

  See Also:
    Constant Field Values

Constructor Detail

### PanLayer

    public PanLayer(java.lang.String name)

Parameters:
  `name` - the name of the tabPane

Method Detail

### getDksGradient

    public JdksGradientEditor getDksGradient()

  Returns:
    the gradient to use

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Overrides:
    `addChangeListener` in class `javax.swing.JTabbedPane`
  Parameters:
    `changeListener` - the ChangeListener to add
  See Also:
    `JTabbedPane.addChangeListener(javax.swing.event.ChangeListener)`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Overrides:
    `removeChangeListener` in class `javax.swing.JTabbedPane`
  Parameters:
    `changeListener` - the ChangeListener to remove
  See Also:
    `JTabbedPane.removeChangeListener(javax.swing.event.ChangeListener)`

### getFilImage

    public typecontrol.controls.JdksFileChooser getFilImage()

  Returns:
    the file chooser used to choose the file of the Picture

### getColColor

    public typecontrol.controls.JdksColorChooser getColColor()

  Returns:
    the color chooser used to choose the color

### getTabTexture

    public com.l2fprod.common.propertysheet.PropertySheetPanel getTabTexture()

  Returns:
    the PropertySheetPanel used for modifying the texture

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD